diff --git a/src/backend/utils/activity/backend_status.c b/src/backend/utils/activity/backend_status.c
index c7ed1e6d7a..96f0a815c1 100644
--- a/src/backend/utils/activity/backend_status.c
+++ b/src/backend/utils/activity/backend_status.c
@@ -131,7 +131,7 @@ CreateSharedBackendStatus(void)
 		/*
 		 * We're the first - initialize.
 		 */
-		MemSet(BackendStatusArray, 0, size);
+		memset(BackendStatusArray, 0, size);
 	}
 
 	/* Create or attach to the shared appname buffer */
@@ -141,7 +141,7 @@ CreateSharedBackendStatus(void)
 
 	if (!found)
 	{
-		MemSet(BackendAppnameBuffer, 0, size);
+		memset(BackendAppnameBuffer, 0, size);
 
 		/* Initialize st_appname pointers. */
 		buffer = BackendAppnameBuffer;
@@ -159,7 +159,7 @@ CreateSharedBackendStatus(void)
 
 	if (!found)
 	{
-		MemSet(BackendClientHostnameBuffer, 0, size);
+		memset(BackendClientHostnameBuffer, 0, size);
 
 		/* Initialize st_clienthostname pointers. */
 		buffer = BackendClientHostnameBuffer;
@@ -180,7 +180,7 @@ CreateSharedBackendStatus(void)
 
 	if (!found)
 	{
-		MemSet(BackendActivityBuffer, 0, BackendActivityBufferSize);
+		memset(BackendActivityBuffer, 0, BackendActivityBufferSize);
 
 		/* Initialize st_activity pointers. */
 		buffer = BackendActivityBuffer;
@@ -201,7 +201,7 @@ CreateSharedBackendStatus(void)
 	{
 		PgBackendSSLStatus *ptr;
 
-		MemSet(BackendSslStatusBuffer, 0, size);
+		memset(BackendSslStatusBuffer, 0, size);
 
 		/* Initialize st_sslstatus pointers. */
 		ptr = BackendSslStatusBuffer;
@@ -223,7 +223,7 @@ CreateSharedBackendStatus(void)
 	{
 		PgBackendGSSStatus *ptr;
 
-		MemSet(BackendGssStatusBuffer, 0, size);
+		memset(BackendGssStatusBuffer, 0, size);
 
 		/* Initialize st_gssstatus pointers. */
 		ptr = BackendGssStatusBuffer;
@@ -355,7 +355,7 @@ pgstat_bestart(void)
 		memcpy(&lbeentry.st_clientaddr, &MyProcPort->raddr,
 			   sizeof(lbeentry.st_clientaddr));
 	else
-		MemSet(&lbeentry.st_clientaddr, 0, sizeof(lbeentry.st_clientaddr));
+		memset(&lbeentry.st_clientaddr, 0, sizeof(lbeentry.st_clientaddr));
 
 #ifdef USE_SSL
 	if (MyProcPort && MyProcPort->ssl_in_use)
diff --git a/src/backend/utils/activity/pgstat_bgwriter.c b/src/backend/utils/activity/pgstat_bgwriter.c
index fbb1edc527..ced6e10a2a 100644
--- a/src/backend/utils/activity/pgstat_bgwriter.c
+++ b/src/backend/utils/activity/pgstat_bgwriter.c
@@ -55,7 +55,7 @@ pgstat_report_bgwriter(void)
 	/*
 	 * Clear out the statistics buffer, so it can be re-used.
 	 */
-	MemSet(&PendingBgWriterStats, 0, sizeof(PendingBgWriterStats));
+	memset(&PendingBgWriterStats, 0, sizeof(PendingBgWriterStats));
 }
 
 /*
diff --git a/src/backend/utils/activity/pgstat_checkpointer.c b/src/backend/utils/activity/pgstat_checkpointer.c
index af8d513e7b..ba64aec5c5 100644
--- a/src/backend/utils/activity/pgstat_checkpointer.c
+++ b/src/backend/utils/activity/pgstat_checkpointer.c
@@ -61,7 +61,7 @@ pgstat_report_checkpointer(void)
 	/*
 	 * Clear out the statistics buffer, so it can be re-used.
 	 */
-	MemSet(&PendingCheckpointerStats, 0, sizeof(PendingCheckpointerStats));
+	memset(&PendingCheckpointerStats, 0, sizeof(PendingCheckpointerStats));
 }
 
 /*
diff --git a/src/backend/utils/activity/pgstat_slru.c b/src/backend/utils/activity/pgstat_slru.c
index d0b85b62a5..0c1eb70251 100644
--- a/src/backend/utils/activity/pgstat_slru.c
+++ b/src/backend/utils/activity/pgstat_slru.c
@@ -185,7 +185,7 @@ pgstat_slru_flush(bool nowait)
 	}
 
 	/* done, clear the pending entry */
-	MemSet(pending_SLRUStats, 0, sizeof(pending_SLRUStats));
+	memset(pending_SLRUStats, 0, sizeof(pending_SLRUStats));
 
 	LWLockRelease(&stats_shmem->lock);
 
diff --git a/src/backend/utils/activity/pgstat_wal.c b/src/backend/utils/activity/pgstat_wal.c
index 5a878bd115..d6f9866ba7 100644
--- a/src/backend/utils/activity/pgstat_wal.c
+++ b/src/backend/utils/activity/pgstat_wal.c
@@ -117,7 +117,7 @@ pgstat_flush_wal(bool nowait)
 	/*
 	 * Clear out the statistics buffer, so it can be re-used.
 	 */
-	MemSet(&PendingWalStats, 0, sizeof(PendingWalStats));
+	memset(&PendingWalStats, 0, sizeof(PendingWalStats));
 
 	return false;
 }
diff --git a/src/backend/utils/adt/acl.c b/src/backend/utils/adt/acl.c
index 772c04155c..2ee786dc6b 100644
--- a/src/backend/utils/adt/acl.c
+++ b/src/backend/utils/adt/acl.c
@@ -1819,7 +1819,7 @@ aclexplode(PG_FUNCTION_ARGS)
 			values[2] = CStringGetTextDatum(convert_aclright_to_string(priv_bit));
 			values[3] = BoolGetDatum((ACLITEM_GET_GOPTIONS(*aidata) & priv_bit) != 0);
 
-			MemSet(nulls, 0, sizeof(nulls));
+			memset(nulls, 0, sizeof(nulls));
 
 			tuple = heap_form_tuple(funcctx->tuple_desc, values, nulls);
 			result = HeapTupleGetDatum(tuple);
diff --git a/src/backend/utils/adt/arrayfuncs.c b/src/backend/utils/adt/arrayfuncs.c
index 2570e5e630..14b7532b67 100644
--- a/src/backend/utils/adt/arrayfuncs.c
+++ b/src/backend/utils/adt/arrayfuncs.c
@@ -746,7 +746,7 @@ ReadArrayStr(char *arrayStr,
 				prod[MAXDIM];
 
 	mda_get_prod(ndim, dim, prod);
-	MemSet(indx, 0, sizeof(indx));
+	memset(indx, 0, sizeof(indx));
 
 	/* Initialize is-null markers to true */
 	memset(nulls, true, nitems * sizeof(bool));
@@ -2460,7 +2460,7 @@ array_set_element(Datum arraydatum,
 		bits8	   *newnullbitmap = ARR_NULLBITMAP(newarray);
 
 		/* Zero the bitmap to take care of marking inserted positions null */
-		MemSet(newnullbitmap, 0, (newnitems + 7) / 8);
+		memset(newnullbitmap, 0, (newnitems + 7) / 8);
 		/* Fix the inserted value */
 		if (addedafter)
 			array_set_isnull(newnullbitmap, newnitems - 1, isNull);
@@ -3077,7 +3077,7 @@ array_set_slice(Datum arraydatum,
 			bits8	   *oldnullbitmap = ARR_NULLBITMAP(array);
 
 			/* Zero the bitmap to handle marking inserted positions null */
-			MemSet(newnullbitmap, 0, (nitems + 7) / 8);
+			memset(newnullbitmap, 0, (nitems + 7) / 8);
 			array_bitmap_copy(newnullbitmap, addedbefore,
 							  oldnullbitmap, 0,
 							  itemsbefore);
diff --git a/src/backend/utils/adt/datetime.c b/src/backend/utils/adt/datetime.c
index 4c12c4d663..99ef3df049 100644
--- a/src/backend/utils/adt/datetime.c
+++ b/src/backend/utils/adt/datetime.c
@@ -5011,7 +5011,7 @@ pg_timezone_abbrevs(PG_FUNCTION_ARGS)
 			break;
 	}
 
-	MemSet(nulls, 0, sizeof(nulls));
+	memset(nulls, 0, sizeof(nulls));
 
 	/*
 	 * Convert name to text, using upcasing conversion that is the inverse of
@@ -5024,7 +5024,7 @@ pg_timezone_abbrevs(PG_FUNCTION_ARGS)
 	values[0] = CStringGetTextDatum(buffer);
 
 	/* Convert offset (in seconds) to an interval; can't overflow */
-	MemSet(&itm_in, 0, sizeof(struct pg_itm_in));
+	memset(&itm_in, 0, sizeof(struct pg_itm_in));
 	itm_in.tm_usec = (int64) gmtoffset * USECS_PER_SEC;
 	resInterval = (Interval *) palloc(sizeof(Interval));
 	(void) itmin2interval(&itm_in, resInterval);
@@ -5088,13 +5088,13 @@ pg_timezone_names(PG_FUNCTION_ARGS)
 		if (tzn && strlen(tzn) > 31)
 			continue;
 
-		MemSet(nulls, 0, sizeof(nulls));
+		memset(nulls, 0, sizeof(nulls));
 
 		values[0] = CStringGetTextDatum(pg_get_timezone_name(tz));
 		values[1] = CStringGetTextDatum(tzn ? tzn : "");
 
 		/* Convert tzoff to an interval; can't overflow */
-		MemSet(&itm_in, 0, sizeof(struct pg_itm_in));
+		memset(&itm_in, 0, sizeof(struct pg_itm_in));
 		itm_in.tm_usec = (int64) -tzoff * USECS_PER_SEC;
 		resInterval = (Interval *) palloc(sizeof(Interval));
 		(void) itmin2interval(&itm_in, resInterval);
diff --git a/src/backend/utils/adt/formatting.c b/src/backend/utils/adt/formatting.c
index e909c1a200..31105b9519 100644
--- a/src/backend/utils/adt/formatting.c
+++ b/src/backend/utils/adt/formatting.c
@@ -5626,7 +5626,7 @@ NUM_processor(FormatNode *node, NUMDesc *Num, char *inout,
 	const char *pattern;
 	int			pattern_len;
 
-	MemSet(Np, 0, sizeof(NUMProc));
+	memset(Np, 0, sizeof(NUMProc));
 
 	Np->Num = Num;
 	Np->is_to_char = is_to_char;
diff --git a/src/backend/utils/adt/jsonfuncs.c b/src/backend/utils/adt/jsonfuncs.c
index d427bdfbe0..52ff421e36 100644
--- a/src/backend/utils/adt/jsonfuncs.c
+++ b/src/backend/utils/adt/jsonfuncs.c
@@ -3190,7 +3190,7 @@ allocate_record_info(MemoryContext mcxt, int ncolumns)
 	data->record_type = InvalidOid;
 	data->record_typmod = 0;
 	data->ncolumns = ncolumns;
-	MemSet(data->columns, 0, sizeof(ColumnIOData) * ncolumns);
+	memset(data->columns, 0, sizeof(ColumnIOData) * ncolumns);
 
 	return data;
 }
@@ -3254,7 +3254,7 @@ populate_record(TupleDesc tupdesc,
 	if (record->record_type != tupdesc->tdtypeid ||
 		record->record_typmod != tupdesc->tdtypmod)
 	{
-		MemSet(record, 0, offsetof(RecordIOData, columns) +
+		memset(record, 0, offsetof(RecordIOData, columns) +
 			   ncolumns * sizeof(ColumnIOData));
 		record->record_type = tupdesc->tdtypeid;
 		record->record_typmod = tupdesc->tdtypmod;
diff --git a/src/backend/utils/adt/lockfuncs.c b/src/backend/utils/adt/lockfuncs.c
index 023a004ac8..6c5f9ebaee 100644
--- a/src/backend/utils/adt/lockfuncs.c
+++ b/src/backend/utils/adt/lockfuncs.c
@@ -230,8 +230,8 @@ pg_lock_status(PG_FUNCTION_ARGS)
 		/*
 		 * Form tuple with appropriate data.
 		 */
-		MemSet(values, 0, sizeof(values));
-		MemSet(nulls, false, sizeof(nulls));
+		memset(values, 0, sizeof(values));
+		memset(nulls, false, sizeof(nulls));
 
 		if (instance->locktag.locktag_type <= LOCKTAG_LAST_TYPE)
 			locktypename = LockTagTypeNames[instance->locktag.locktag_type];
@@ -369,8 +369,8 @@ pg_lock_status(PG_FUNCTION_ARGS)
 		/*
 		 * Form tuple with appropriate data.
 		 */
-		MemSet(values, 0, sizeof(values));
-		MemSet(nulls, false, sizeof(nulls));
+		memset(values, 0, sizeof(values));
+		memset(nulls, false, sizeof(nulls));
 
 		/* lock type */
 		lockType = GET_PREDICATELOCKTARGETTAG_TYPE(*predTag);
diff --git a/src/backend/utils/adt/partitionfuncs.c b/src/backend/utils/adt/partitionfuncs.c
index 0243bc061f..468bd7b34f 100644
--- a/src/backend/utils/adt/partitionfuncs.c
+++ b/src/backend/utils/adt/partitionfuncs.c
@@ -126,8 +126,8 @@ pg_partition_tree(PG_FUNCTION_ARGS)
 		/*
 		 * Form tuple with appropriate data.
 		 */
-		MemSet(nulls, 0, sizeof(nulls));
-		MemSet(values, 0, sizeof(values));
+		memset(nulls, 0, sizeof(nulls));
+		memset(values, 0, sizeof(values));
 
 		/* relid */
 		values[0] = ObjectIdGetDatum(relid);
diff --git a/src/backend/utils/adt/pgstatfuncs.c b/src/backend/utils/adt/pgstatfuncs.c
index 893690dad5..94db404d02 100644
--- a/src/backend/utils/adt/pgstatfuncs.c
+++ b/src/backend/utils/adt/pgstatfuncs.c
@@ -492,8 +492,8 @@ pg_stat_get_progress_info(PG_FUNCTION_ARGS)
 		bool		nulls[PG_STAT_GET_PROGRESS_COLS];
 		int			i;
 
-		MemSet(values, 0, sizeof(values));
-		MemSet(nulls, 0, sizeof(nulls));
+		memset(values, 0, sizeof(values));
+		memset(nulls, 0, sizeof(nulls));
 
 		local_beentry = pgstat_fetch_stat_local_beentry(curr_backend);
 
@@ -559,8 +559,8 @@ pg_stat_get_activity(PG_FUNCTION_ARGS)
 		const char *wait_event_type = NULL;
 		const char *wait_event = NULL;
 
-		MemSet(values, 0, sizeof(values));
-		MemSet(nulls, 0, sizeof(nulls));
+		memset(values, 0, sizeof(values));
+		memset(nulls, 0, sizeof(nulls));
 
 		/* Get the next one in the list */
 		local_beentry = pgstat_fetch_stat_local_beentry(curr_backend);
@@ -1753,8 +1753,8 @@ pg_stat_get_wal(PG_FUNCTION_ARGS)
 	PgStat_WalStats *wal_stats;
 
 	/* Initialise values and NULL flags arrays */
-	MemSet(values, 0, sizeof(values));
-	MemSet(nulls, 0, sizeof(nulls));
+	memset(values, 0, sizeof(values));
+	memset(nulls, 0, sizeof(nulls));
 
 	/* Initialise attributes information in the tuple descriptor */
 	tupdesc = CreateTemplateTupleDesc(PG_STAT_GET_WAL_COLS);
@@ -1837,8 +1837,8 @@ pg_stat_get_slru(PG_FUNCTION_ARGS)
 			break;
 
 		stat = stats[i];
-		MemSet(values, 0, sizeof(values));
-		MemSet(nulls, 0, sizeof(nulls));
+		memset(values, 0, sizeof(values));
+		memset(nulls, 0, sizeof(nulls));
 
 		values[0] = PointerGetDatum(cstring_to_text(name));
 		values[1] = Int64GetDatum(stat.blocks_zeroed);
@@ -2206,8 +2206,8 @@ pg_stat_get_archiver(PG_FUNCTION_ARGS)
 	PgStat_ArchiverStats *archiver_stats;
 
 	/* Initialise values and NULL flags arrays */
-	MemSet(values, 0, sizeof(values));
-	MemSet(nulls, 0, sizeof(nulls));
+	memset(values, 0, sizeof(values));
+	memset(nulls, 0, sizeof(nulls));
 
 	/* Initialise attributes information in the tuple descriptor */
 	tupdesc = CreateTemplateTupleDesc(7);
@@ -2280,8 +2280,8 @@ pg_stat_get_replication_slot(PG_FUNCTION_ARGS)
 	PgStat_StatReplSlotEntry allzero;
 
 	/* Initialise values and NULL flags arrays */
-	MemSet(values, 0, sizeof(values));
-	MemSet(nulls, 0, sizeof(nulls));
+	memset(values, 0, sizeof(values));
+	memset(nulls, 0, sizeof(nulls));
 
 	/* Initialise attributes information in the tuple descriptor */
 	tupdesc = CreateTemplateTupleDesc(PG_STAT_GET_REPLICATION_SLOT_COLS);
@@ -2369,8 +2369,8 @@ pg_stat_get_subscription_stats(PG_FUNCTION_ARGS)
 	BlessTupleDesc(tupdesc);
 
 	/* Initialise values and NULL flags arrays */
-	MemSet(values, 0, sizeof(values));
-	MemSet(nulls, 0, sizeof(nulls));
+	memset(values, 0, sizeof(values));
+	memset(nulls, 0, sizeof(nulls));
 
 	if (!subentry)
 	{
diff --git a/src/backend/utils/adt/rowtypes.c b/src/backend/utils/adt/rowtypes.c
index db843a0fbf..7c9eefc741 100644
--- a/src/backend/utils/adt/rowtypes.c
+++ b/src/backend/utils/adt/rowtypes.c
@@ -132,7 +132,7 @@ record_in(PG_FUNCTION_ARGS)
 	if (my_extra->record_type != tupType ||
 		my_extra->record_typmod != tupTypmod)
 	{
-		MemSet(my_extra, 0,
+		memset(my_extra, 0,
 			   offsetof(RecordIOData, columns) +
 			   ncolumns * sizeof(ColumnIOData));
 		my_extra->record_type = tupType;
@@ -349,7 +349,7 @@ record_out(PG_FUNCTION_ARGS)
 	if (my_extra->record_type != tupType ||
 		my_extra->record_typmod != tupTypmod)
 	{
-		MemSet(my_extra, 0,
+		memset(my_extra, 0,
 			   offsetof(RecordIOData, columns) +
 			   ncolumns * sizeof(ColumnIOData));
 		my_extra->record_type = tupType;
@@ -505,7 +505,7 @@ record_recv(PG_FUNCTION_ARGS)
 	if (my_extra->record_type != tupType ||
 		my_extra->record_typmod != tupTypmod)
 	{
-		MemSet(my_extra, 0,
+		memset(my_extra, 0,
 			   offsetof(RecordIOData, columns) +
 			   ncolumns * sizeof(ColumnIOData));
 		my_extra->record_type = tupType;
@@ -716,7 +716,7 @@ record_send(PG_FUNCTION_ARGS)
 	if (my_extra->record_type != tupType ||
 		my_extra->record_typmod != tupTypmod)
 	{
-		MemSet(my_extra, 0,
+		memset(my_extra, 0,
 			   offsetof(RecordIOData, columns) +
 			   ncolumns * sizeof(ColumnIOData));
 		my_extra->record_type = tupType;
@@ -876,7 +876,7 @@ record_cmp(FunctionCallInfo fcinfo)
 		my_extra->record2_type != tupType2 ||
 		my_extra->record2_typmod != tupTypmod2)
 	{
-		MemSet(my_extra->columns, 0, ncols * sizeof(ColumnCompareData));
+		memset(my_extra->columns, 0, ncols * sizeof(ColumnCompareData));
 		my_extra->record1_type = tupType1;
 		my_extra->record1_typmod = tupTypmod1;
 		my_extra->record2_type = tupType2;
@@ -1120,7 +1120,7 @@ record_eq(PG_FUNCTION_ARGS)
 		my_extra->record2_type != tupType2 ||
 		my_extra->record2_typmod != tupTypmod2)
 	{
-		MemSet(my_extra->columns, 0, ncols * sizeof(ColumnCompareData));
+		memset(my_extra->columns, 0, ncols * sizeof(ColumnCompareData));
 		my_extra->record1_type = tupType1;
 		my_extra->record1_typmod = tupTypmod1;
 		my_extra->record2_type = tupType2;
@@ -1382,7 +1382,7 @@ record_image_cmp(FunctionCallInfo fcinfo)
 		my_extra->record2_type != tupType2 ||
 		my_extra->record2_typmod != tupTypmod2)
 	{
-		MemSet(my_extra->columns, 0, ncols * sizeof(ColumnCompareData));
+		memset(my_extra->columns, 0, ncols * sizeof(ColumnCompareData));
 		my_extra->record1_type = tupType1;
 		my_extra->record1_typmod = tupTypmod1;
 		my_extra->record2_type = tupType2;
@@ -1628,7 +1628,7 @@ record_image_eq(PG_FUNCTION_ARGS)
 		my_extra->record2_type != tupType2 ||
 		my_extra->record2_typmod != tupTypmod2)
 	{
-		MemSet(my_extra->columns, 0, ncols * sizeof(ColumnCompareData));
+		memset(my_extra->columns, 0, ncols * sizeof(ColumnCompareData));
 		my_extra->record1_type = tupType1;
 		my_extra->record1_typmod = tupTypmod1;
 		my_extra->record2_type = tupType2;
@@ -1822,7 +1822,7 @@ hash_record(PG_FUNCTION_ARGS)
 	if (my_extra->record1_type != tupType ||
 		my_extra->record1_typmod != tupTypmod)
 	{
-		MemSet(my_extra->columns, 0, ncolumns * sizeof(ColumnCompareData));
+		memset(my_extra->columns, 0, ncolumns * sizeof(ColumnCompareData));
 		my_extra->record1_type = tupType;
 		my_extra->record1_typmod = tupTypmod;
 	}
@@ -1943,7 +1943,7 @@ hash_record_extended(PG_FUNCTION_ARGS)
 	if (my_extra->record1_type != tupType ||
 		my_extra->record1_typmod != tupTypmod)
 	{
-		MemSet(my_extra->columns, 0, ncolumns * sizeof(ColumnCompareData));
+		memset(my_extra->columns, 0, ncolumns * sizeof(ColumnCompareData));
 		my_extra->record1_type = tupType;
 		my_extra->record1_typmod = tupTypmod;
 	}
diff --git a/src/backend/utils/adt/selfuncs.c b/src/backend/utils/adt/selfuncs.c
index fa1f589fad..243feb2340 100644
--- a/src/backend/utils/adt/selfuncs.c
+++ b/src/backend/utils/adt/selfuncs.c
@@ -4992,7 +4992,7 @@ examine_variable(PlannerInfo *root, Node *node, int varRelid,
 	RelOptInfo *onerel;
 
 	/* Make sure we don't return dangling pointers in vardata */
-	MemSet(vardata, 0, sizeof(VariableStatData));
+	memset(vardata, 0, sizeof(VariableStatData));
 
 	/* Save the exposed type of the expression */
 	vardata->vartype = exprType(node);
@@ -6797,7 +6797,7 @@ btcostestimate(PlannerInfo *root, IndexPath *path, double loop_count,
 	/*
 	 * Now do generic index cost estimation.
 	 */
-	MemSet(&costs, 0, sizeof(costs));
+	memset(&costs, 0, sizeof(costs));
 	costs.numIndexTuples = numIndexTuples;
 
 	genericcostestimate(root, path, loop_count, &costs);
@@ -6842,7 +6842,7 @@ btcostestimate(PlannerInfo *root, IndexPath *path, double loop_count,
 	 * ordering, but don't negate it entirely.  Before 8.0 we divided the
 	 * correlation by the number of columns, but that seems too strong.)
 	 */
-	MemSet(&vardata, 0, sizeof(vardata));
+	memset(&vardata, 0, sizeof(vardata));
 
 	if (index->indexkeys[0] != 0)
 	{
@@ -6949,7 +6949,7 @@ hashcostestimate(PlannerInfo *root, IndexPath *path, double loop_count,
 {
 	GenericCosts costs;
 
-	MemSet(&costs, 0, sizeof(costs));
+	memset(&costs, 0, sizeof(costs));
 
 	genericcostestimate(root, path, loop_count, &costs);
 
@@ -6995,7 +6995,7 @@ gistcostestimate(PlannerInfo *root, IndexPath *path, double loop_count,
 	GenericCosts costs;
 	Cost		descentCost;
 
-	MemSet(&costs, 0, sizeof(costs));
+	memset(&costs, 0, sizeof(costs));
 
 	genericcostestimate(root, path, loop_count, &costs);
 
@@ -7052,7 +7052,7 @@ spgcostestimate(PlannerInfo *root, IndexPath *path, double loop_count,
 	GenericCosts costs;
 	Cost		descentCost;
 
-	MemSet(&costs, 0, sizeof(costs));
+	memset(&costs, 0, sizeof(costs));
 
 	genericcostestimate(root, path, loop_count, &costs);
 
diff --git a/src/backend/utils/adt/timestamp.c b/src/backend/utils/adt/timestamp.c
index f70f829d83..0821a4e639 100644
--- a/src/backend/utils/adt/timestamp.c
+++ b/src/backend/utils/adt/timestamp.c
@@ -5800,7 +5800,7 @@ generate_series_timestamp(PG_FUNCTION_ARGS)
 		fctx->step = *step;
 
 		/* Determine sign of the interval */
-		MemSet(&interval_zero, 0, sizeof(Interval));
+		memset(&interval_zero, 0, sizeof(Interval));
 		fctx->step_sign = interval_cmp_internal(&fctx->step, &interval_zero);
 
 		if (fctx->step_sign == 0)
@@ -5880,7 +5880,7 @@ generate_series_timestamptz(PG_FUNCTION_ARGS)
 		fctx->step = *step;
 
 		/* Determine sign of the interval */
-		MemSet(&interval_zero, 0, sizeof(Interval));
+		memset(&interval_zero, 0, sizeof(Interval));
 		fctx->step_sign = interval_cmp_internal(&fctx->step, &interval_zero);
 
 		if (fctx->step_sign == 0)
diff --git a/src/backend/utils/adt/tsgistidx.c b/src/backend/utils/adt/tsgistidx.c
index b8fd96dd7b..9b73030fa8 100644
--- a/src/backend/utils/adt/tsgistidx.c
+++ b/src/backend/utils/adt/tsgistidx.c
@@ -141,7 +141,7 @@ makesign(BITVECP sign, SignTSVector *a, int siglen)
 				len = ARRNELEM(a);
 	int32	   *ptr = GETARR(a);
 
-	MemSet((void *) sign, 0, siglen);
+	memset((void *) sign, 0, siglen);
 	for (k = 0; k < len; k++)
 		HASH(sign, ptr[k], siglen);
 }
@@ -753,7 +753,7 @@ gtsvector_picksplit(PG_FUNCTION_ARGS)
 			if (ISALLTRUE(datum_l) || cache[j].allistrue)
 			{
 				if (!ISALLTRUE(datum_l))
-					MemSet((void *) GETSIGN(datum_l), 0xff, siglen);
+					memset((void *) GETSIGN(datum_l), 0xff, siglen);
 			}
 			else
 			{
@@ -769,7 +769,7 @@ gtsvector_picksplit(PG_FUNCTION_ARGS)
 			if (ISALLTRUE(datum_r) || cache[j].allistrue)
 			{
 				if (!ISALLTRUE(datum_r))
-					MemSet((void *) GETSIGN(datum_r), 0xff, siglen);
+					memset((void *) GETSIGN(datum_r), 0xff, siglen);
 			}
 			else
 			{
diff --git a/src/backend/utils/adt/tsrank.c b/src/backend/utils/adt/tsrank.c
index 3858fc5928..da8a777fad 100644
--- a/src/backend/utils/adt/tsrank.c
+++ b/src/backend/utils/adt/tsrank.c
@@ -883,7 +883,7 @@ calc_rank_cd(const float4 *arrdata, TSVector txt, TSQuery query, int method)
 		return 0.0;
 	}
 
-	MemSet(&ext, 0, sizeof(CoverExt));
+	memset(&ext, 0, sizeof(CoverExt));
 	while (Cover(doc, doclen, &qr, &ext))
 	{
 		double		Cpos = 0.0;
diff --git a/src/backend/utils/adt/varbit.c b/src/backend/utils/adt/varbit.c
index 73e41e0808..b3541908e2 100644
--- a/src/backend/utils/adt/varbit.c
+++ b/src/backend/utils/adt/varbit.c
@@ -1419,7 +1419,7 @@ bitshiftleft(PG_FUNCTION_ARGS)
 	/* If we shifted all the bits out, return an all-zero string */
 	if (shft >= VARBITLEN(arg))
 	{
-		MemSet(r, 0, VARBITBYTES(arg));
+		memset(r, 0, VARBITBYTES(arg));
 		PG_RETURN_VARBIT_P(result);
 	}
 
@@ -1432,7 +1432,7 @@ bitshiftleft(PG_FUNCTION_ARGS)
 		/* Special case: we can do a memcpy */
 		len = VARBITBYTES(arg) - byte_shift;
 		memcpy(r, p, len);
-		MemSet(r + len, 0, byte_shift);
+		memset(r + len, 0, byte_shift);
 	}
 	else
 	{
@@ -1486,7 +1486,7 @@ bitshiftright(PG_FUNCTION_ARGS)
 	/* If we shifted all the bits out, return an all-zero string */
 	if (shft >= VARBITLEN(arg))
 	{
-		MemSet(r, 0, VARBITBYTES(arg));
+		memset(r, 0, VARBITBYTES(arg));
 		PG_RETURN_VARBIT_P(result);
 	}
 
@@ -1495,7 +1495,7 @@ bitshiftright(PG_FUNCTION_ARGS)
 	p = VARBITS(arg);
 
 	/* Set the first part of the result to 0 */
-	MemSet(r, 0, byte_shift);
+	memset(r, 0, byte_shift);
 	r += byte_shift;
 
 	if (ishift == 0)
diff --git a/src/backend/utils/cache/relfilenodemap.c b/src/backend/utils/cache/relfilenodemap.c
index 70c323c720..5dbf3c0b7d 100644
--- a/src/backend/utils/cache/relfilenodemap.c
+++ b/src/backend/utils/cache/relfilenodemap.c
@@ -95,7 +95,7 @@ InitializeRelfilenodeMap(void)
 		CreateCacheMemoryContext();
 
 	/* build skey */
-	MemSet(&relfilenode_skey, 0, sizeof(relfilenode_skey));
+	memset(&relfilenode_skey, 0, sizeof(relfilenode_skey));
 
 	for (i = 0; i < 2; i++)
 	{
@@ -153,7 +153,7 @@ RelidByRelfilenode(Oid reltablespace, Oid relfilenode)
 	if (reltablespace == MyDatabaseTableSpace)
 		reltablespace = 0;
 
-	MemSet(&key, 0, sizeof(key));
+	memset(&key, 0, sizeof(key));
 	key.reltablespace = reltablespace;
 	key.relfilenode = relfilenode;
 
diff --git a/src/backend/utils/cache/ts_cache.c b/src/backend/utils/cache/ts_cache.c
index 24808dfbb1..fbb4df7bf2 100644
--- a/src/backend/utils/cache/ts_cache.c
+++ b/src/backend/utils/cache/ts_cache.c
@@ -176,7 +176,7 @@ lookup_ts_parser_cache(Oid prsId)
 			Assert(!found);		/* it wasn't there a moment ago */
 		}
 
-		MemSet(entry, 0, sizeof(TSParserCacheEntry));
+		memset(entry, 0, sizeof(TSParserCacheEntry));
 		entry->prsId = prsId;
 		entry->startOid = prs->prsstart;
 		entry->tokenOid = prs->prstoken;
@@ -306,7 +306,7 @@ lookup_ts_dictionary_cache(Oid dictId)
 			MemoryContextCopyAndSetIdentifier(saveCtx, NameStr(dict->dictname));
 		}
 
-		MemSet(entry, 0, sizeof(TSDictionaryCacheEntry));
+		memset(entry, 0, sizeof(TSDictionaryCacheEntry));
 		entry->dictId = dictId;
 		entry->dictCtx = saveCtx;
 
@@ -455,7 +455,7 @@ lookup_ts_config_cache(Oid cfgId)
 			}
 		}
 
-		MemSet(entry, 0, sizeof(TSConfigCacheEntry));
+		memset(entry, 0, sizeof(TSConfigCacheEntry));
 		entry->cfgId = cfgId;
 		entry->prsId = cfg->cfgparser;
 
@@ -468,7 +468,7 @@ lookup_ts_config_cache(Oid cfgId)
 		 * see the entries in maptokentype order, and in mapseqno order for
 		 * each token type, even though we didn't explicitly ask for that.
 		 */
-		MemSet(maplists, 0, sizeof(maplists));
+		memset(maplists, 0, sizeof(maplists));
 		maxtokentype = 0;
 		ndicts = 0;
 
diff --git a/src/backend/utils/cache/typcache.c b/src/backend/utils/cache/typcache.c
index 808f9ebd0d..0fe0255b02 100644
--- a/src/backend/utils/cache/typcache.c
+++ b/src/backend/utils/cache/typcache.c
@@ -396,7 +396,7 @@ lookup_type_cache(Oid type_id, int flags)
 												  HASH_ENTER, &found);
 		Assert(!found);			/* it wasn't there a moment ago */
 
-		MemSet(typentry, 0, sizeof(TypeCacheEntry));
+		memset(typentry, 0, sizeof(TypeCacheEntry));
 
 		/* These fields can never change, by definition */
 		typentry->type_id = type_id;
diff --git a/src/backend/utils/error/elog.c b/src/backend/utils/error/elog.c
index 55ee5423af..e1f4aa302b 100644
--- a/src/backend/utils/error/elog.c
+++ b/src/backend/utils/error/elog.c
@@ -443,7 +443,7 @@ errstart(int elevel, const char *domain)
 
 	/* Initialize data for this error frame */
 	edata = &errordata[errordata_stack_depth];
-	MemSet(edata, 0, sizeof(ErrorData));
+	memset(edata, 0, sizeof(ErrorData));
 	edata->elevel = elevel;
 	edata->output_to_server = output_to_server;
 	edata->output_to_client = output_to_client;
@@ -1476,7 +1476,7 @@ format_elog_string(const char *fmt,...)
 
 	/* Initialize a mostly-dummy error frame */
 	edata = &errdata;
-	MemSet(edata, 0, sizeof(ErrorData));
+	memset(edata, 0, sizeof(ErrorData));
 	/* the default text domain is the backend's */
 	edata->domain = save_format_domain ? save_format_domain : PG_TEXTDOMAIN("postgres");
 	/* set the errno to be used to interpret %m */
@@ -1872,7 +1872,7 @@ GetErrorContextStack(void)
 	 * Things look good so far, so initialize our error frame
 	 */
 	edata = &errordata[errordata_stack_depth];
-	MemSet(edata, 0, sizeof(ErrorData));
+	memset(edata, 0, sizeof(ErrorData));
 
 	/*
 	 * Set up assoc_context to be the caller's context, so any allocations
diff --git a/src/backend/utils/fmgr/dfmgr.c b/src/backend/utils/fmgr/dfmgr.c
index 7f9ea97280..ee69dc8bf2 100644
--- a/src/backend/utils/fmgr/dfmgr.c
+++ b/src/backend/utils/fmgr/dfmgr.c
@@ -228,7 +228,7 @@ internal_load_library(const char *libname)
 					(errcode(ERRCODE_OUT_OF_MEMORY),
 					 errmsg("out of memory")));
 
-		MemSet(file_scanner, 0, offsetof(DynamicFileList, filename));
+		memset(file_scanner, 0, offsetof(DynamicFileList, filename));
 		strcpy(file_scanner->filename, libname);
 		file_scanner->device = stat_buf.st_dev;
 #ifndef WIN32
diff --git a/src/backend/utils/hash/dynahash.c b/src/backend/utils/hash/dynahash.c
index 3babde8d70..27c5f3e80f 100644
--- a/src/backend/utils/hash/dynahash.c
+++ b/src/backend/utils/hash/dynahash.c
@@ -388,7 +388,7 @@ hash_create(const char *tabname, long nelem, const HASHCTL *info, int flags)
 
 	/* Initialize the hash header, plus a copy of the table name */
 	hashp = (HTAB *) DynaHashAlloc(sizeof(HTAB) + strlen(tabname) + 1);
-	MemSet(hashp, 0, sizeof(HTAB));
+	memset(hashp, 0, sizeof(HTAB));
 
 	hashp->tabname = (char *) (hashp + 1);
 	strcpy(hashp->tabname, tabname);
@@ -627,7 +627,7 @@ hdefault(HTAB *hashp)
 {
 	HASHHDR    *hctl = hashp->hctl;
 
-	MemSet(hctl, 0, sizeof(HASHHDR));
+	memset(hctl, 0, sizeof(HASHHDR));
 
 	hctl->dsize = DEF_DIRSIZE;
 	hctl->nsegs = 0;
@@ -1666,7 +1666,7 @@ dir_realloc(HTAB *hashp)
 	if (p != NULL)
 	{
 		memcpy(p, old_p, old_dirsize);
-		MemSet(((char *) p) + old_dirsize, 0, new_dirsize - old_dirsize);
+		memset(((char *) p) + old_dirsize, 0, new_dirsize - old_dirsize);
 		hashp->dir = p;
 		hashp->hctl->dsize = new_dsize;
 
@@ -1692,7 +1692,7 @@ seg_alloc(HTAB *hashp)
 	if (!segp)
 		return NULL;
 
-	MemSet(segp, 0, sizeof(HASHBUCKET) * hashp->ssize);
+	memset(segp, 0, sizeof(HASHBUCKET) * hashp->ssize);
 
 	return segp;
 }
diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index 8e9b71375c..2169604b02 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -11936,7 +11936,7 @@ check_wal_consistency_checking(char **newval, void **extra, GucSource source)
 	bool		newwalconsistency[RM_MAX_ID + 1];
 
 	/* Initialize the array */
-	MemSet(newwalconsistency, 0, (RM_MAX_ID + 1) * sizeof(bool));
+	memset(newwalconsistency, 0, (RM_MAX_ID + 1) * sizeof(bool));
 
 	/* Need a modifiable copy of string */
 	rawstring = pstrdup(*newval);
diff --git a/src/backend/utils/misc/ps_status.c b/src/backend/utils/misc/ps_status.c
index ec314c03f5..ca05b180c9 100644
--- a/src/backend/utils/misc/ps_status.c
+++ b/src/backend/utils/misc/ps_status.c
@@ -393,7 +393,7 @@ set_ps_display(const char *activity)
 #ifdef PS_USE_CLOBBER_ARGV
 	/* pad unused memory; need only clobber remainder of old status string */
 	if (last_status_len > ps_buffer_cur_len)
-		MemSet(ps_buffer + ps_buffer_cur_len, PS_PADDING,
+		memset(ps_buffer + ps_buffer_cur_len, PS_PADDING,
 			   last_status_len - ps_buffer_cur_len);
 	last_status_len = ps_buffer_cur_len;
 #endif							/* PS_USE_CLOBBER_ARGV */
diff --git a/src/backend/utils/misc/timeout.c b/src/backend/utils/misc/timeout.c
index 6f5e08bc30..16ff6250b1 100644
--- a/src/backend/utils/misc/timeout.c
+++ b/src/backend/utils/misc/timeout.c
@@ -216,7 +216,7 @@ schedule_alarm(TimestampTz now)
 		long		secs;
 		int			usecs;
 
-		MemSet(&timeval, 0, sizeof(struct itimerval));
+		memset(&timeval, 0, sizeof(struct itimerval));
 
 		/*
 		 * If we think there's a signal pending, but current time is more than
diff --git a/src/backend/utils/mmgr/portalmem.c b/src/backend/utils/mmgr/portalmem.c
index d549f66d4a..25ced094b9 100644
--- a/src/backend/utils/mmgr/portalmem.c
+++ b/src/backend/utils/mmgr/portalmem.c
@@ -1152,7 +1152,7 @@ pg_cursor(PG_FUNCTION_ARGS)
 		if (!portal->visible)
 			continue;
 
-		MemSet(nulls, 0, sizeof(nulls));
+		memset(nulls, 0, sizeof(nulls));
 
 		values[0] = CStringGetTextDatum(portal->name);
 		values[1] = CStringGetTextDatum(portal->sourceText);
diff --git a/src/backend/utils/sort/logtape.c b/src/backend/utils/sort/logtape.c
index c384f98e13..4a6dbb91ca 100644
--- a/src/backend/utils/sort/logtape.c
+++ b/src/backend/utils/sort/logtape.c
@@ -254,7 +254,7 @@ ltsWriteBlock(LogicalTapeSet *lts, long blocknum, void *buffer)
 	{
 		PGAlignedBlock zerobuf;
 
-		MemSet(zerobuf.data, 0, sizeof(zerobuf));
+		memset(zerobuf.data, 0, sizeof(zerobuf));
 
 		ltsWriteBlock(lts, lts->nBlocksWritten, zerobuf.data);
 	}
diff --git a/src/bin/pg_basebackup/pg_basebackup.c b/src/bin/pg_basebackup/pg_basebackup.c
index 4adb170d46..3f112e8082 100644
--- a/src/bin/pg_basebackup/pg_basebackup.c
+++ b/src/bin/pg_basebackup/pg_basebackup.c
@@ -457,7 +457,7 @@ reached_end_position(XLogRecPtr segendpos, uint32 timeline,
 		FD_ZERO(&fds);
 		FD_SET(bgpipe[0], &fds);
 
-		MemSet(&tv, 0, sizeof(tv));
+		memset(&tv, 0, sizeof(tv));
 
 		r = select(bgpipe[0] + 1, &fds, NULL, NULL, &tv);
 		if (r == 1)
@@ -466,7 +466,7 @@ reached_end_position(XLogRecPtr segendpos, uint32 timeline,
 			uint32		hi,
 						lo;
 
-			MemSet(xlogend, 0, sizeof(xlogend));
+			memset(xlogend, 0, sizeof(xlogend));
 			r = read(bgpipe[0], xlogend, sizeof(xlogend) - 1);
 			if (r < 0)
 				pg_fatal("could not read from ready pipe: %m");
@@ -532,7 +532,7 @@ LogStreamerMain(logstreamer_param *param)
 
 	in_log_streamer = true;
 
-	MemSet(&stream, 0, sizeof(stream));
+	memset(&stream, 0, sizeof(stream));
 	stream.startpos = param->startptr;
 	stream.timeline = param->timeline;
 	stream.sysidentifier = param->sysidentifier;
@@ -1961,7 +1961,7 @@ BaseBackup(char *compression_algorithm, char *compression_detail,
 	else
 		starttli = latesttli;
 	PQclear(res);
-	MemSet(xlogend, 0, sizeof(xlogend));
+	memset(xlogend, 0, sizeof(xlogend));
 
 	if (verbose && includewal != NO_WAL)
 		pg_log_info("write-ahead log start point: %s on timeline %u",
